#ifndef STD_MSGS_HEADER_H
#define STD_MSGS_HEADER_H

#include <string>
#include <cstdint>
#include <robot/time.h>

namespace std_msgs {

struct Header
{
  uint32_t seq = 0;  // số thứ tự message
  robot::Time stamp = robot::Time(0); // thời gian theo giây (Unix time)
  std::string frame_id;

  Header() = default;

  // Hàm tạo nhanh header với timestamp hiện tại
  static Header now(const std::string& frame = "")
  {
    robot::Time time_now = robot::Time::now();
    Header h;
    h.seq = 0;
    h.stamp = time_now;
    h.frame_id = frame;
    return h;
  }
};

}  // namespace std_msgs

#endif
